scala.reflect.macros.compiler.Errors

# Error

#### trait Error extends AnyRef

Self Type
  MacroImplRefCompiler
Source
  Errors.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
MacroImplRefCompiler
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Error
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DefaultMacroCompiler.Error to any2stringadd[DefaultMacroCompiler.Error] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DefaultMacroCompiler.Error, B)

   Implicit information
     This member is added by an implicit conversion from DefaultMacroCompiler.Error to ArrowAssoc[DefaultMacroCompiler.Error] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def MacroImplExtraParamsError(aparams: List[tools.nsc.Global.Symbol], rparams: List[tools.nsc.Global.Symbol]): Nothing

7. #### def MacroImplMissingParamsError(aparams: List[tools.nsc.Global.Symbol], rparams: List[tools.nsc.Global.Symbol]): Nothing

8. #### def MacroImplNonTagImplicitParameters(params: List[tools.nsc.Global.Symbol]): Nothing

9. #### def MacroImplNotPublicError(): Nothing

10. #### def MacroImplOverloadedError(): Nothing

11. #### def MacroImplParamNameMismatchError(aparam: tools.nsc.Global.Symbol, rparam: tools.nsc.Global.Symbol): Nothing

12. #### def MacroImplParamssMismatchError(): Nothing

13. #### def MacroImplReferenceWrongShapeError(): Nothing

14. #### def MacroImplTargMismatchError(atargs: List[tools.nsc.Global.Type], atparams: List[tools.nsc.Global.Symbol]): Nothing

15. #### def MacroImplTparamInstantiationError(atparams: List[tools.nsc.Global.Symbol], e: (analyzer)#NoInstance): Nothing

16. #### def MacroImplVarargMismatchError(aparam: tools.nsc.Global.Symbol, rparam: tools.nsc.Global.Symbol): Unit

17. #### def MacroImplWrongNumberOfTypeArgumentsError(): Nothing

18. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

19. #### def checkMacroImplParamTypeMismatch(atpe: tools.nsc.Global.Type, rparam: tools.nsc.Global.Symbol): Unit

20. #### def checkMacroImplResultTypeMismatch(atpe: tools.nsc.Global.Type, rret: tools.nsc.Global.Type): Unit

21. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### def ensuring(cond: (DefaultMacroCompiler.Error) ⇒ Boolean, msg: ⇒ Any): DefaultMacroCompiler.Error

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Error to Ensuring[DefaultMacroCompiler.Error] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: (DefaultMacroCompiler.Error) ⇒ Boolean): DefaultMacroCompiler.Error

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Error to Ensuring[DefaultMacroCompiler.Error] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean, msg: ⇒ Any): DefaultMacroCompiler.Error

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Error to Ensuring[DefaultMacroCompiler.Error] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### def ensuring(cond: Boolean): DefaultMacroCompiler.Error

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Error to Ensuring[DefaultMacroCompiler.Error] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

26. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

28. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

29. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Error to StringFormat[DefaultMacroCompiler.Error] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

30. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

31. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### def →[B](y: B): (DefaultMacroCompiler.Error, B)

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Error to ArrowAssoc[DefaultMacroCompiler.Error] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DefaultMacroCompiler.Error to any2stringadd[DefaultMacroCompiler.Error]

### Inherited by implicit conversion StringFormat from DefaultMacroCompiler.Error to StringFormat[DefaultMacroCompiler.Error]

### Inherited by implicit conversion Ensuring from DefaultMacroCompiler.Error to Ensuring[DefaultMacroCompiler.Error]

### Inherited by implicit conversion ArrowAssoc from DefaultMacroCompiler.Error to ArrowAssoc[DefaultMacroCompiler.Error]

### Ungrouped